Summary:	Library implementing the SSH protocol
Summary(pl.UTF-8):	Biblioteka implementująca protokół SSH
Name:		libssh
Version:	0.7.3
Release:	1
Epoch:		1
License:	LGPL v2.1+; parts are BSD-licensed
Group:		Libraries
# dead atm.
#Source0:	https://red.libssh.org/attachments/download/87/%{name}-%{version}.tar.xz
Source0:	https://git.libssh.org/projects/libssh.git/snapshot/%{name}-%{version}.tar.gz
# Source0-md5:	421e7adf7e8b3e22f16c963b85b97b15
URL:		http://www.libssh.org/
BuildRequires:	cmake >= 2.6.0
BuildRequires:	heimdal-devel
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The ssh library was designed to be used by programmers needing a
working SSH implementation by the mean of a library. The complete
control of the client is made by the programmer. With libssh, you can
remotely execute programs, transfer files, use a secure and
transparent tunnel for your remote programs. With its Secure FTP
implementation, you can play with remote files easily, without
third-party programs others than libcrypto (from openssl).

%description -l pl.UTF-8
Biblioteka ssh została zaprojektowana do używania przez programistów
potrzebujących działającej implementacji SSH w postaci biblioteki. Za
pomocą libssh można przesyłać pliki, zdalnie uruchamiać programy bądź
też tworzyć na ich potrzeby bezpieczne i przezroczyste tunele. Dzięki
zawartej implementacji protokołu Secure FTP programista ma możliwość
łatwego wykonywania operacji na zdalnych plikach bez konieczności
korzystania z dodatkowego zewnętrznego oprogramowania poza biblioteką
libcrypto (pakiet openssl).

%package devel
Summary:	Header files for libssh library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libssh
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for libssh library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libssh.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DWITH_SSH1=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BSD ChangeLog README
%attr(755,root,root) %{_libdir}/libssh.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libssh.so.4
%attr(755,root,root) %{_libdir}/libssh_threads.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libssh_threads.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libssh.so
%attr(755,root,root) %{_libdir}/libssh_threads.so
%{_includedir}/libssh
%{_pkgconfigdir}/libssh.pc
%{_pkgconfigdir}/libssh_threads.pc
%{_libdir}/cmake/libssh
%changelog
* Sun Jun 26 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libssh.git;a=log;h=master

* Sun Jun 26 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 757caa2
- up to 0.7.3; fixed CVE-2016-0739, CVE-2015-3146

* Tue Mar 10 2015 Jakub Bogusz <qboosh@pld-linux.org> ff6b9e5
- Merge branch 'master' of git://git.pld-linux.org/packages/libssh

* Tue Mar 10 2015 Jakub Bogusz <qboosh@pld-linux.org> b81cb09
- updated to 0.6.4 (fixes CVE-2014-8132)

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 4fce0e0
- release 2 (by relup.sh)

* Thu Mar 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d8de8d1
- up to 0.6.3; fixes CVE-2014-0017 and some other

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 9f49150
- updated to 0.5.3 (fixes CVE-2012-4559 CVE-2012-4560 CVE-2012-4561)

* Thu Sep 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 4f5d02e
- updated to 0.5.2

* Thu Aug 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 26932d9
- updated to 0.5.1
- enabled SSH1

* Tue Jun 07 2011 lisu <lisu@pld-linux.org> 6218191
- updated to 0.5.0

* Mon Jan 17 2011 lisu <lisu@pld-linux.org> d1a990e
- 0.4.8

* Wed Jan 12 2011 lisu <lisu@pld-linux.org> 1687778
- up to 0.4.7

* Mon Sep 06 2010 lisu <lisu@pld-linux.org> 5461806
- 0.4.6

* Tue Jul 13 2010 lisu <lisu@pld-linux.org> 9d74f11
- 0.4.5

* Tue Jun 01 2010 Karol Krenski <charles@pld-linux.org> 611de6c
- up to 0.4.4

* Wed May 19 2010 lisu <lisu@pld-linux.org> 8101440
- 0.4.3

* Sat Apr 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b6a5a8
- release 2

* Tue Mar 16 2010 lisu <lisu@pld-linux.org> 04c2739
- 0.4.2

* Mon Feb 15 2010 lisu <lisu@pld-linux.org> 08c9103
- updated to 0.4.1

* Sat Feb 06 2010 sparky <sparky@pld-linux.org> c327702
- dropped unused BR: doxygen, tetex-dvips, tetex-format-latex, tetex-makeindex

* Fri Feb 05 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b894c9e
- release 2

